#include "DSP28x_Project.h"     // Device Headerfile and Examples Include File
#ifdef TESTBOARD                // new: 2008-05-01 bennet.gedan@akasol.de 
                                // #defined in Defines.h

unsigned int dutyFan = 0;
unsigned int dutyPump = 0;
unsigned int dutySkiip1 = 0;
unsigned int dutySkiip2 = 0;
unsigned int dutySkiip3 = 0;
int led1State = 0;
int led2State = 0;
int led3State = 0;


void main(void)
{
   //  Wachtdog, PLL and Peripheral Clocks
   InitSysCtrl();   // in DSP2833x_SysCtrl.c (Original TI file)
   
   // GPIO-Muxer-Settings, Input Qualifications etc.
   GPIOSetup_eZdsp();  // in UR_GPIOSetup.c, see also 
   
   //Initialize PIE control registers (disable PIE, clear PIEIER, clear PIEIFR)
   InitPieCtrl(); // in DSP2833x_PieCtrl.c (Original TI file)
   //memcopy default PIE Vector Table to PIE routes
   InitPieVectTable(); // in DSP2833x_PieVect.c
   
   // PWM Initilalization
   setAllPWM_Defaults(); // in  UR_PWMs.c

   for(;;) {
   
   // PWM Setting during run-time
   setPumpPWM_DutyCycle(dutyPump); // in UR_PWMs.c
   setFanPWM_DutyCycle(dutyFan);   // in UR_PWMs.c

   }

}